GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Functions | Variables
connected_channel.c File Reference
`#include "src/core/channel/connected_channel.h"`
`#include <stdarg.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "src/core/transport/transport.h"`
`#include <grpc/byte_buffer.h>`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/slice_buffer.h>`

## Data Structures
struct | connected_channel_channel_data
struct | connected_channel_call_data

## Macros
#define | MAX_BUFFER_LENGTH 8192
#define | TRANSPORT_STREAM_FROM_CALL_DATA(calld) ((grpc_stream *)((calld) + 1))
#define | CALL_DATA_FROM_TRANSPORT_STREAM(transport_stream) (((call_data *)(transport_stream)) - 1)

## Typedefs
typedef struct connected_channel_channel_data | channel_data
typedef struct connected_channel_call_data | call_data

## Functions
void | grpc_connected_channel_bind_transport (grpc_channel_stack *channel_stack, grpc_transport *transport)

## Variables
const grpc_channel_filter | grpc_connected_channel_filter

## Macro Definition Documentation

#define CALL_DATA_FROM_TRANSPORT_STREAM | ( |  | transport_stream | ) | (((call_data *)(transport_stream)) - 1)

#define MAX_BUFFER_LENGTH 8192

#define TRANSPORT_STREAM_FROM_CALL_DATA | ( |  | calld | ) | ((grpc_stream *)((calld) + 1))

## Typedef Documentation

typedef struct connected_channel_call_data call_data

typedef struct connected_channel_channel_data channel_data

## Function Documentation

void grpc_connected_channel_bind_transport | ( | grpc_channel_stack * | channel_stack,
|  | grpc_transport * | transport
| ) |  |

## Variable Documentation

const grpc_channel_filter grpc_connected_channel_filter

Initial value:
= {
con_start_transport_stream_op,
con_start_transport_op,
sizeof(call_data),
init_call_elem,
destroy_call_elem,
sizeof(channel_data),
init_channel_elem,
destroy_channel_elem,
con_get_peer,
"connected",
}
call_data
struct connected_channel_call_data call_data
channel_data
Definition: client_auth_filter.c:69